Create a DTS root CA certificate
Creates a DTS root CA certificate which is used to sign DTS intermediate and/or signer certificates.
- A maximum of three DTS root CA certificates can be created per tenant.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>application/json- body
commonName?stringIndicates the common name of the DTS root CA certificate. When specified, the value must be a valid PrintableString and cannot be an empty string. If not provided and a custom domain is configured and verified, the custom domain is used followed by the words DTS CA. If no custom domain is configured, the tenant subdomain is used instead.
country?stringIndicates the DTS provider's country. If not provided, a country is selected based on the region of the tenant subdomain cloud host. When specified, the value must be a valid Alpha 2 country code as per ISO 3166-1.
organisationName*stringIndicates the organization associated with the DTS root CA certificate.
notAfter?stringUsed to set the date and time when the DTS root CA certificate expires.
- If not provided, calculated as
notBefore+ 20 years. - If not provided and
notBeforeis not provided, calculated as time of creation + 20 years. - Maximum value is 20 years from creation.
- Must be after
notBefore, if provided.
date-timenotBefore?stringUsed to set the date and time when the DTS root CA certificate becomes valid and can be used to sign other intermediate certificates.
- Must not be in the past.
- Must be before
notAfter.
date-timeDTS root CA certificate created
application/json- response
id*stringUnique identifier for this DTS root CA certificate.
uuidactive*booleanIndicates whether the DTS root CA certificate is active. Activating a certificate does not affect your ability to create or sign subordinate (intermediate CA or signer) certificates: you can build a complete certificate chain while the root CA is inactive. Instead, active certificates are included in the selection process MATTR VII uses when choosing the certificate chain to sign a trusted list (VICAL or RICAL), where MATTR VII prefers the most recently created active certificate at each level of the chain. Only one DTS root CA certificate can be active at a time.
certificatePem*stringDTS root CA certificate in PEM format.
certificateFingerprint*stringSHA-256 hash of DTS root CA certificate content.
certificateData*isManaged*booleanIndicates whether the private key for this DTS root CA certificate is managed by MATTR (true) or out of band by the customer as an external certificate (false).
useIntermediateCa?booleanWhen true, this DTS root CA certificate uses the 3-tier certificate model, requiring and using DTS intermediate CA certificates as part of its chain of trust for signing operations. When false, the 2-tier model is used and the DTS root CA signs signer certificates directly. For an explanation of the 2-tier and 3-tier models, refer to the DTS certificates overview.
curl -X POST 'https://example.vii.au01.mattr.global/v1/ecosystems/certificates/ca' \ -H 'Content-Type: application/json' \ -d '{ "organisationName": "Example Inc."}'{ "id": "782f1885-c7c2-4459-8426-b6d7c111b0b1", "active": true, "certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----", "certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172", "certificateData": { "commonName": "example.com", "country": "US", "organisationName": "Example Inc.", "notAfter": "2024-10-22T00:00:00Z", "notBefore": "2023-10-22T00:00:00Z" }, "isManaged": true, "useIntermediateCa": true}How would you rate this page?
Verify a verifiable presentation POST
Verifies a provided verifiable presentation that adheres to the [W3C Verifiable Credential Data Model](https://www.w3.org/TR/vc-data-model/#presentations): - Ensures the presentation conforms to the VC Data model. - For each `verifiableCredential` objects: - Issuer DID can be resolved. - JSON-LD context is valid for subject claims. - Proof is valid & the credential has not been tampered with. - Is not in a `revoked` status on a `RevocationList2020`. - The proof is valid for each subjectDID to prove ownership. - Valid proof exists for the presentation `holderDID`. The request must include a `presentation` object that adheres to the [W3C Verifiable Credential Data Model](https://www.w3.org/TR/vc-data-model/#presentations). If a `challenge` and/or `domain` is provided they are used for credential verification. Otherwise, the `challenge` and/or `domain` within the presentation proof is used instead.
Retrieve all DTS root CA certificates GET
Retrieves all DTS root CA certificates.